
%global meadversion 1.4.2
%global namedversion 1.4.2.Final-redhat-00002
%global meadalpha .Final_redhat_00002
%global meadrel .2
%global serial 7
%global namedversionrel redhat-00002

%bcond_without mead

%{?scl:%global nfsmountable 1}
%{?scl:%scl_package mod_cluster}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.2.Final-redhat-00002

Name:		%{?scl_prefix}mod_cluster
Summary: 	JBoss mod_cluster for Apache Tomcat
Version: 	%{meadversion}
Release: 	%{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:		0
License: 	LGPLv3
Group: 		Applications/System

%if %with mead
Source100: mod_cluster-parent-1.4.2.Final-redhat-00002-scm-sources.zip
Source102: mod_cluster-container-tomcat85-1.4.2.Final-redhat-00002.pom
Source103: mod_cluster-container-tomcat85-1.4.2.Final-redhat-00002-sources.jar
Source104: mod_cluster-container-tomcat85-1.4.2.Final-redhat-00002.jar
Source105: mod_cluster-parent-1.4.2.Final-redhat-00002.pom
Source106: mod_cluster-parent-1.4.2.Final-redhat-00002-project-sources.tar.gz
Source107: mod_cluster-core-1.4.2.Final-redhat-00002.pom
Source108: mod_cluster-core-1.4.2.Final-redhat-00002.jar
Source109: mod_cluster-core-1.4.2.Final-redhat-00002-sources.jar
Source110: mod_cluster-container-1.4.2.Final-redhat-00002.pom
Source111: mod_cluster-container-spi-1.4.2.Final-redhat-00002.jar
Source112: mod_cluster-container-spi-1.4.2.Final-redhat-00002.pom
Source113: mod_cluster-container-spi-1.4.2.Final-redhat-00002-sources.jar
Source114: mod_cluster-distribution-1.4.2.Final-redhat-00002-tomcat9.zip
Source115: mod_cluster-distribution-1.4.2.Final-redhat-00002-demo.tar.gz
Source116: mod_cluster-distribution-1.4.2.Final-redhat-00002-tomcat9.tar.gz
Source117: mod_cluster-distribution-1.4.2.Final-redhat-00002-demo.zip
Source118: mod_cluster-distribution-1.4.2.Final-redhat-00002.pom
Source119: mod_cluster-load-spi-1.4.2.Final-redhat-00002.pom
Source120: mod_cluster-load-spi-1.4.2.Final-redhat-00002.jar
Source121: mod_cluster-load-spi-1.4.2.Final-redhat-00002-sources.jar
Source122: mod_cluster-container-tomcat-1.4.2.Final-redhat-00002.pom
Source123: mod_cluster-container-tomcat-1.4.2.Final-redhat-00002-tests.jar
Source124: mod_cluster-container-tomcat-1.4.2.Final-redhat-00002-sources.jar
Source125: mod_cluster-container-tomcat-1.4.2.Final-redhat-00002.jar
%endif

URL:		http://www.jboss.org/

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot

Requires(post):     %{?scl_prefix}javapackages-tools
Requires(postun):   %{?scl_prefix}javapackages-tools
Requires:           %{?scl_prefix}javapackages-tools
BuildRequires:      %{?scl_prefix}javapackages-tools

Obsoletes: %{name}-jbossas < %{epoch}:%{version}
Provides:  %{name}-jbossas = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-demo < 0:1.3.1-7

%description
JBoss mod_cluster for Apache Tomcat

%package tomcat
Summary:        Support for %{name} in Tomcat
Group:          Development/Libraries/Application Frameworks

Requires:       %{?scl_prefix}tomcat
Requires:       %{name} >= %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-logging >= 0:3.0.1

%description tomcat
This package contains mod_cluster Java libraries that can be used with Tomcat.

%package src-zip
Summary:        Container for the sources of %{name}
Group:          Development


%description src-zip
Container for the sources of %{name}

%prep

%build

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
pushd %{_sourcedir}
# Rename tomcat85 jars to tomcat9 for JWS-960
for f in `ls *tomcat85*ar`; do
    mv $f `echo $f | sed 's/tomcat85/tomcat9/'`
done
for i in `ls *-%{namedversion}.*ar *-%{namedversion}-sources.jar`; do 
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
(cd $RPM_BUILD_ROOT%{_javadir} && for i in *-%{namedversion}*ar; do ln -s $i `echo $i| sed "s/-%{namedversion}//g"`; done)

#for links needed in tomcat
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/tomcat/lib
pushd $RPM_BUILD_ROOT%{_datadir}/tomcat/lib
ln -s %{_javadir}/jboss-logging.jar .
ln -s %{_javadir}/mod_cluster-container-spi.jar .
ln -s %{_javadir}/mod_cluster-container-tomcat.jar .
ln -s %{_javadir}/mod_cluster-container-tomcat9.jar .
ln -s %{_javadir}/mod_cluster-core.jar .
ln -s %{_javadir}/mod_cluster-load-spi.jar .
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}-fordev/
cp -p %{_sourcedir}/mod_cluster-parent-%{namedversion}-scm-sources.zip $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}-fordev/%{pkg_name}-%{namedversion}-src.zip

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar

%files tomcat
%defattr(0644,root,root,0755)
%{_datadir}/tomcat/lib/*

%files src-zip
%defattr(0644,root,root,0755)
%{_javadir}/%{pkg_name}-fordev/%{pkg_name}-%{namedversion}-src.zip

%changelog
* Mon Aug 03 2020 Sokratis Zappis <szappis@redhat.com> - 1.4.2-6.Final_redhat_6.1
- Rebuild

* Fri Jul 31 2020 Hui Wang <huwang@redhat.com> - 1.4.2-2.Final_redhat_2.1
- Build with jboss-logging-3.4.1.Final_redhat_00001

* Wed Jul 29 2020 Hui Wang <huwang@redhat.com> - 1.4.2-1.Final_redhat_00001.1
- Upgrade to 1.4.2.Final

* Fri Aug 02 2019 Sokratis Zappis <szappis@redhat.com> - 1.4.1-1.Final_redhat_00001.2
- Rebuild

* Fri Aug 02 2019 Sokratis Zappis <szappis@redhat.com> - 1.4.1-1.Final_redhat_00001.2
- Related: JWS-1389 - Rebase mod_cluster to version 1.4.1.Final

* Thu Nov 08 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-9.Final_redhat_1.1
- 5.0.2.DR1

* Tue Oct 30 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-9.Final_redhat_1.1
- Resolves: JWS-1054 missing nfsmountable directive

* Tue May 15 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-8.Final_redhat_1.1
- Build for JWS_5.0.0.RHEL_ER2

* Thu May 03 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-8.Final_redhat_1.1
- Related: JWS-967 Remove jpackages-util dep from javadoc subpackage

* Tue Apr 17 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-7.Final_redhat_1.1
- Build with 1.4.0.Final-redhat

* Mon Apr 02 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-7.Alpha1_redhat_1.4
- Resolves: JWS-960 mod_cluster-container jar name may be confusing

* Thu Mar 22 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-6.Alpha1_redhat_1.4
- Rebuilding wrapper for JWS-919

* Tue Mar 20 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-6.Alpha1_redhat_1.3
- Resolves: JWS-919 mod_cluster.spec has an incorrect description and summary

* Tue Mar 20 2018 Coty Sutherland <csutherl@redhat.com> - 1.4.0-5.Alpha1_redhat_1.4
- Rebuilding against tomcat 9

* Wed Feb 21 2018 Patrick Sutherland <csutherl@redhat.com> - 1.4.0-4.Alpha1_redhat_1.3
- First jws5 build of mod_cluster (1.4.0.Alpha1 was built for jws4)

* Tue Feb 20 2018 Patrick Sutherland <csutherl@redhat.com> - 1.4.0-4.Alpha1_redhat_1.3
- First jws5 build of mod_cluster (1.4.0.Alpha1 was built for jws4)

* Wed Aug 30 2017 Patrick Sutherland <csutherl@redhat.com> - 1.4.0-3.Alpha1_redhat_1.3
- Rebuild wrapper for 1.4.0.Alpha1.redhat-1

* Wed Aug 30 2017 Fernando Nasser <fnasser@redhat.com> - 1.4.0-2.Alpha1_redhat_1.3
- Rebuild mod_cluster with the correct maven profile

* Wed Aug 30 2017 Patrick Sutherland <csutherl@redhat.com> - 1.4.0-2.Alpha1_redhat_1.2
- Rebuild mod_cluster with the correct maven profile

* Wed Aug 30 2017 Patrick Sutherland <csutherl@redhat.com> - 1.4.0-1.Alpha1_redhat_1.1
- Upgrade to 1.4.0.Alpha1-redhat-1

* Mon Aug 14 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.7-1.Final_redhat_1.1
- Attempting four?

* Mon Aug 14 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-7.Final_redhat_2.1
- Attempt two to build with 1.3.7

* Mon Aug 14 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-6.Final_redhat_2.1
- Rebuild wrapper for 1.3.7

* Tue Aug 01 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-5.Final_redhat_2.1
- Rebuild

* Thu Jul 27 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-4.Final_redhat_2.1
- Rebuilding wrapper only

* Thu Jul 27 2017 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-4.Final_redhat_2.1
- Rebuilding wrapper only

* Tue Jul 25 2017 Coty Sutherland <csutherl@redhat.com> - 1.3.5-3.Final_redhat_2.1
- First build of jws4-mod_cluster wrapper

* Tue Jul 25 2017 Coty Sutherland <csutherl@redhat.com> - 1.3.5-3.Final_redhat_3.1
- Building mod_cluster JWS4 SCL package

* Thu Oct 27 2016 Wei Nan Li <weli@redhat.com> - 1.3.5-2.Final_redhat_2.1
- 

* Wed Oct 26 2016 Patrick Sutherland <csutherl@redhat.com> - 1.3.5-1.Final_redhat_1.1
- 

* Fri Oct 21 2016 Permaine Cheung <pcheung@redhat.com> - 1.3.4-1.Final_redhat_1.1
- 1.3.4.Final-redhat-1

* Wed Aug 24 2016 Permaine Cheung <pcheung@redhat.com> - 1.3.3-1.Final_redhat_1.1
- 1.3.3.Final-redhat-1

* Wed May 20 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-8.Final_redhat_3.1
- Fix version in Obsoletes

* Wed May 20 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-7.Final_redhat_3.1
- Obsoletes demo subpackage

* Tue May 19 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-7.Final_redhat_3.1
- Remove AS7 profile for JWS 3 builds
- Obsoletes demo subpackage

* Fri Apr 10 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-5.Final_redhat_2.1
- 1.3.1.Final-redhat-2

* Fri Apr 10 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-4.Final_redhat_1.1
- 1.3.1.Final-redhat-1

* Mon Jan 26 2015 Permaine Cheung <pcheung@redhat.com> - 1.3.1-3.Beta2_redhat_1.1
- 1.3.1.Beta2-redhat-1

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_3.1
- Add catalina-standalone to tomcat profiles

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_2.1
- Add catalina-standalone to tomcat profiles

* Mon Dec 08 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-2.Beta1_redhat_2.1
- Add catalina-standalone to tomcat profiles

* Fri Dec 05 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1.2
- 1.3.1.Beta1-redhat-1

* Thu Dec 04 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1.1
- 1.3.1.Beta1-redhat-1

* Wed Dec 03 2014 Permaine Cheung <pcheung@redhat.com> - 1.3.1-1.Beta1_redhat_1.1
- 1.3.1.Beta1-redhat-1

* Thu Nov 20 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.10-1.Final_redhat_1.1
- 1.2.10.Final-redhat-1

* Thu May 29 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.9-1.Final_redhat_1.1
- 1.2.9.Final

* Fri Mar 21 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.8-1.Final_redhat_1.1
- 1.2.8.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Wed Jan 15 2014 Permaine Cheung <pcheung@redhat.com> - 1.2.7-1.Final_redhat_1.1
- Upgrade to 1.2.7.Final

* Fri Nov 08 2013 Permaine Cheung <pcheung@redhat.com> - 1.2.6-2.Final_redhat_1.1
- Rewrap to include sources.jar

* Fri Sep 20 2013 Permaine Cheung <pcheung@redhat.com> - 1.2.6-1.Final_redhat_1.1
- Upgrade to 1.2.6.Final


* Thu Apr 25 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.2.4-1.Final_redhat_1
- 1.2.4.Final, update vman pom

* Thu Oct 18 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.3-1.Final_redhat_1
- 1.2.3.Final, remove patches as they are all incorporated in the tag

* Fri Oct 12 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-5.Final_redhat_3
- Add patch for JBPAPP-10168, redhat-3 build

* Fri Oct 05 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-4.Final_redhat_2
- Add patch for JBPAPP-9788, redhat-2 build

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.2-3.Final_redhat_1
- Rebuild for MD5

* Mon Sep 17 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-2.Final_redhat_1
- Obsoletes and Provides for the -jbossas subpackage in main package

* Thu Sep 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.2.Final_redhat_1
- Include patches zip from MEAD for src-zip subpackage

* Thu Sep 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.1.Final_redhat_1
- Include source zip from MEAD for src-zip subpackage

* Tue Sep 11 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.2-1.Final_redhat_1
- 1.2.2.Final-redhat-1

* Thu Aug 30 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.2.1-11.Final_redhat_2.2
- Add jbossweb 2.1.11.GA to local dependency management

* Wed Aug 29 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.2.1-11.Final_redhat_2.1
- Remove dependency management, use eap bom
- Update poms for eap 6.0.1 boms and parent pom

* Thu Aug 16 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-10.Final_redhat_2
- Fix Release: tag

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.4
- Rebuild unsigned

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.1-10.Final.1
- Rebuild using cache signing

* Wed Jul 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-10.Final
- Fix links in -tomcat subpackages

* Wed Jul 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-9.Final
- Fix files in -tomcat subpackages to avoid conflicting with tomcat

* Tue Jul 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-8.Final
- Fix links in -tomcat subpackages

* Wed May 09 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-7.Final
- 1.2.1.Final

* Wed May 02 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-5.Beta2
- Fix -tomcat6,7 subpackages

* Wed May 02 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-5.Beta2
- Add -tomcat6,7 subpackages

* Mon Apr 30 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-4.Beta2
- Build container-catalina-standalone

* Fri Apr 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-3.Beta2
- Build with TC7 profile

* Thu Apr 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-2.Beta2
- Build with TC6 profile

* Tue Apr 10 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-1.Beta2.1
- 1.2.1.Beta2

* Wed Mar 28 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-0.Beta1.2
- Fix install path

* Mon Mar 26 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.1-0.Beta1.1
- 1.2.1.Beta1

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.0-6.Final.2
- Populate java-signed

* Mon Feb 13 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-6.Final
- 1.2.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.2.0-5.Beta4.1
- Rebuild to use new signing key

* Tue Jan 31 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2.0-4.Beta4.1
- Real wrapper build

* Tue Jan 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-4.Beta4
- 1.2.0.Beta4

* Fri Jan 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-3.Beta3
- Fix pom name and include demo war in demo subpackage

* Fri Jan 27 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-2.Beta3
- Create wrapper

* Tue Jan 03 2012 Permaine Cheung <pcheung@redhat.com> - 0:1.2.0-1.Beta3
- 1.2.0.Beta3

* Fri Sep 23 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.1.3-1.Final
- 1.1.3.Final

* Fri Jun 10 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-2.2.GA_CP01
- Upgrade to 1.0.10.GA_CP01

* Mon May 02 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1.2
- Fix zip

* Mon Apr 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.10-1.1
- Upgrade to 1.0.10.GA

* Mon Apr 04 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1.2
- Default to use signed jars

* Fri Mar 18 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.9-1.1
- Upgrade to 1.0.9.GA

* Thu Feb 17 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-2.1
- Fix Release tag

* Wed Feb 16 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.8-1.1
- Upgrade to 1.0.8.GA

* Fri Jan 07 2011 Permaine Cheung <pcheung@redhat.com> - 0:1.0.6-1.1
- Upgrade to 1.0.6.GA

* Wed Nov 24 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.5-1.1
- Upgrade to 1.0.5.GA

* Tue Nov 23 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-2.2
- Add pom, upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars
- Fix License tag
- Build with signed jars

* Fri Aug 20 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-2.1
- Fix typo

* Wed Jul 28 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.4-1.1
- Upgrade to 1.0.4.GA
- Remove patches that are already incorporated in the tag

* Fri Jun 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-9.1
- Add -sources jar

* Thu May 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-8
- Add patches to repolib

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-7.1
- Split up mod_cluster into mod_cluster and mod_cluster-native

* Tue May 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-6.1
- Add patch for JBPAPP-3936, 4046, 4307
- Adjust depmap

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.3-3.3.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.3
- Rebuild

* Thu Apr 01 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-3.2
- Build with jars
- Revert the changes to work with httpd instead of httpd22

* Tue Feb 09 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.3-3.1
- Merge with RHEL-4

* Mon Jan 25 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-2.1
- Rebuild

* Mon Jan 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:1.0.3-1
- Upgrade to 1.0.3
- Merge with RHEL-4-EP-5 branch

* Fri Nov 06 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5.1
- Do not build jars as we don't have all the dependencies on RHEL 5

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-5
- Fix location of zip

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-4
- Fix Requires:

* Thu Nov 05 2009 Permaine Cheung <pcheung@redhat.com> - 0:1.0.2-3
- Build native .so for httpd and put them in the main package
- Rename the package that includes jars and sar for jbossas to -jbossas
- Add load-demo.war back in demo/server
- Add .so to zip
- Add src-zip

* Mon Nov 02 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-2
- Add license and release notes to the main package
- Remove .dir extension from sar directory name
- Add mod_cluster.jar to sar directory
- Change sub-package names to jbossweb2 and tomcat6 to clarify versions
- Explode contents of load-demo.war inside server subdirectory in the demo sub-package

* Tue Sep 15 2009 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-1
- Brew build
- Relax version for httpd-devel
